Bug 178882 - kernel prevents ctrl-c and ctrl-z from always working
kernel prevents ctrl-c and ctrl-z from always working
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 01:18 EST by Nathan G. Grennan
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 03:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2006-01-25 01:18:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20051215 Galeon/2.0.0

Description of problem:
  I rebooted and booted into kernel-2.6.15-1.1871_FC5. I found in gnome-terminal, xterm, and on the console that ctrl-c and ctrl-z didn't always work. It would work at first. Then I would run something like ls | less, press q for quit, and then ctrl-c wouldn't work anymore.

  I have reverted back to kernel-2.6.15-1.1865_FC5, and it seems to work just fine.

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1871_FC5

How reproducible:
Always

Steps to Reproduce:
1. Install kernel-2.6.15-1.1871_FC5
2. Reboot into kernel-2.6.15-1.1871_FC5
3. Login to the console
4. ctrl-c repeatedly
5. ls | less
6. q
7. ctrl-c
  

Actual Results:  ctrl-c doesn't work

Expected Results:  ctrl-c works

Additional info:
Comment 1 Nathan G. Grennan 2006-01-27 14:06:27 EST
kernel-2.6.15-1.1878_FC5 contains the bug too
Comment 2 Nathan G. Grennan 2006-01-29 01:33:04 EST
kernel-2.6.15-1.1881_FC5.x86_64 contains the bug also
Comment 3 Nathan G. Grennan 2006-02-04 14:26:14 EST
kernel-2.6.15-1.1907_FC5 contains the bug

I have isolated the problem further. If bash is set as the shell for the user
then the problem goes away.

kernel-2.6.15-1.1865_FC5 + bash = good
kernel-2.6.15-1.1865_FC5 + zsh = good

kernel-2.6.15-1.1907_FC5 + bash = good
kernel-2.6.15-1.1907_FC5 + zsh = bad
kernel-2.6.15-1.1907_FC5 + zsh + bash = bad

I am going to try newer versions of zsh to see if the problem goes away.
Comment 4 Nathan G. Grennan 2006-02-15 03:18:35 EST
kernel-2.6.15-1.1948_FC5 seems to fix it, it might have been an eariler kernel
though.

Note You need to log in before you can comment on or make changes to this bug.